[API Reference](../README.md) > [SchemePermissions](../enums/SchemePermissions.md)



# Enumeration: SchemePermissions

## Index

### Enumeration members

* [All](SchemePermissions.md#All)
* [CanAddRemoveGlobalConstraints](SchemePermissions.md#CanAddRemoveGlobalConstraints)
* [CanCallDelegateCall](SchemePermissions.md#CanCallDelegateCall)
* [CanRegisterSchemes](SchemePermissions.md#CanRegisterSchemes)
* [CanUpgradeController](SchemePermissions.md#CanUpgradeController)
* [IsRegistered](SchemePermissions.md#IsRegistered)
* [None](SchemePermissions.md#None)


### Functions

* [fromString](SchemePermissions.md#fromString)
* [toString](SchemePermissions.md#toString)



---
## Enumeration members
<a id="All"></a>

###  All

** All**:    = 31

*Defined in [commonTypes.ts:23](https://github.com/daostack/arc.js/blob/f343aa24/lib/commonTypes.ts#L23)*





___

<a id="CanAddRemoveGlobalConstraints"></a>

###  CanAddRemoveGlobalConstraints

** CanAddRemoveGlobalConstraints**:    = 4

*Defined in [commonTypes.ts:20](https://github.com/daostack/arc.js/blob/f343aa24/lib/commonTypes.ts#L20)*





___

<a id="CanCallDelegateCall"></a>

###  CanCallDelegateCall

** CanCallDelegateCall**:    = 16

*Defined in [commonTypes.ts:22](https://github.com/daostack/arc.js/blob/f343aa24/lib/commonTypes.ts#L22)*





___

<a id="CanRegisterSchemes"></a>

###  CanRegisterSchemes

** CanRegisterSchemes**:    = 2

*Defined in [commonTypes.ts:19](https://github.com/daostack/arc.js/blob/f343aa24/lib/commonTypes.ts#L19)*





___

<a id="CanUpgradeController"></a>

###  CanUpgradeController

** CanUpgradeController**:    = 8

*Defined in [commonTypes.ts:21](https://github.com/daostack/arc.js/blob/f343aa24/lib/commonTypes.ts#L21)*





___

<a id="IsRegistered"></a>

###  IsRegistered

** IsRegistered**:    = 1

*Defined in [commonTypes.ts:18](https://github.com/daostack/arc.js/blob/f343aa24/lib/commonTypes.ts#L18)*



A scheme always automatically gets this bit when registered to a DAO




___

<a id="None"></a>

###  None

** None**:    = 0

*Defined in [commonTypes.ts:14](https://github.com/daostack/arc.js/blob/f343aa24/lib/commonTypes.ts#L14)*





___


## Functions
<a id="fromString"></a>

###  fromString

► **fromString**(perms: *`string`*): [SchemePermissions](SchemePermissions.md)



*Defined in [commonTypes.ts:56](https://github.com/daostack/arc.js/blob/f343aa24/lib/commonTypes.ts#L56)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| perms | `string`   |  - |





**Returns:** [SchemePermissions](SchemePermissions.md)





___

<a id="toString"></a>

###  toString

► **toString**(perms: *[SchemePermissions](SchemePermissions.md)*): `string`



*Defined in [commonTypes.ts:53](https://github.com/daostack/arc.js/blob/f343aa24/lib/commonTypes.ts#L53)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| perms | [SchemePermissions](SchemePermissions.md)   |  - |





**Returns:** `string`





___


